ERPNext Conference 2019* ERPNext.com Blog

Same problem after 10 tries of reinstalling!

installation_problem

#1

the desktop icons is not the same images that i see for the Erpnext images online !

please, check the attached photo . i would like to switch it to the normal icons .


#2

This is version 12, dev mode and not released for production.

If you install production mode, it will install version 11 that will look similar to what you see in online images.


#3

i already used the easy install method with the production command !

For production:

sudo python install.py --production --user frappe


#4

you are right this is version 12, dev mode !
how can i switch to production ?


#5

i already execute the production command but still there is no effect about the website !


#6

This post offers a solution…


or…
from the official instructions…here
Scenario Three: You want to stay on v10 (master ==> v10.x.x)

bench switch-to-branch v10.x.x frappe erpnext
bench update --patch


#7

Thank you !
my misstake that i was running the first command instead of the third one for production .

  1. Run the install script
    If you are on a fresh server and logged in as root, use --user flag to create a user and install using that user

python install.py --develop --user frappe

For developer setup:

sudo python install.py --develop

For production:

sudo python install.py --production --user frappe


#8

I personally avoid the Easy Install, and always configure manually. Either way, the Hitchhiker’s Guide contains excellent instructions. Including how to force Frappe and ERPNext to use a specific Branch (version). https://github.com/frappe/frappe/wiki/The-Hitchhiker’s-Guide-to-Installing-Frappé-on-Linux


#9

Hi, Could you help a novice I’m trying to reinstall v10 on a blank server for the nth time it’s installing v12 only.

Can you please point out for that command what exactly it should look like for v10?

$ bench get-app [--branch <branch>] <APP_REMOTE_URL|VALID_FRAPPE_APP>

Reason is my backup is v10 and I tried v12 and migration but it did not work (throwing bunch of errors)

Thanks!


#10

The important part is choosing the correct git branch. Make sure both Frappe and ERPNext have the same branch.

If you’re doing this from scratch, you can select the correct Frappe branch as follows:

bench init frappe-bench --frappe-branch v10.x.x

And here’s what it looks like for installing the ERPNext app:

bench get-app erpnext --branch v10.x.x https://github.com/frappe/erpnext

Hope this helps!